#
#     Authors: William Cleveland (USRA),
#              Adam Goldstein (USRA) and
#              Daniel Kocevski (NASA)
#
#     Portions of the code are Copyright 2020 William Cleveland and
#     Adam Goldstein, Universities Space Research Association
#     All rights reserved.
#
#     Written for the Fermi Gamma-ray Burst Monitor (Fermi-GBM)
#
#     This program is free software: you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation, either version 3 of the License, or
#     (at your option) any later version.
#
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public License
#     along with this program.  If not, see <https://www.gnu.org/licenses/>.
#

# Version of the GBM data tools
__version__ = '1.1.1'

import os
import pathlib
import webbrowser

try:
    package_dir = str(pathlib.Path(__file__).parent.absolute())
    test_dir = os.path.join(package_dir, 'test')
    test_data_dir = os.path.join(test_dir, 'data')
except:
    pass

home_path = os.path.expanduser('~')
home_path = os.path.join(home_path, '.gbm_data_tools', __version__)

help_path = os.path.join(home_path, 'docs')
tutorial_path = os.path.join(home_path, 'tutorials')
data_path = os.path.join(home_path, 'data')
